"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.applyTo = void 0;

var types_1 = require("../../libs/types");

var ValueSchemaError_1 = require("../../libs/ValueSchemaError");
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */


function applyTo(values, options, keyStack) {
  if (types_1.isArray(values.output)) {
    // already array
    return false;
  }

  if (types_1.isString(values.output) && options.separatedBy !== undefined) {
    values.output = values.output.split(options.separatedBy);
    return false;
  }

  if (options.toArray !== undefined && options.toArray) {
    values.output = [values.output];
    return false;
  }

  return ValueSchemaError_1.ValueSchemaError.raise(ValueSchemaError_1.CAUSE.TYPE, values, keyStack);
}

exports.applyTo = applyTo;