import { CAUSE, ValueSchemaError } from "../libs/ValueSchemaError.mjs";
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */

export function applyTo(values, options, keyStack) {
  if (values.output !== null) {
    return false;
  }

  if (options.ifNull !== undefined) {
    values.output = options.ifNull;
    return true;
  }

  return ValueSchemaError.raise(CAUSE.NULL, values, keyStack);
}