import { Key, Values } from "../../libs/types";
export declare enum INTEGER {
    NO = 0,
    YES = 1,
    FLOOR = 2,
    FLOOR_RZ = 3,
    CEIL = 4,
    CEIL_RI = 5,
    HALF_UP = 6,
    HALF_UP_RZ = 7,
    HALF_DOWN = 8,
    HALF_DOWN_RZ = 9
}
declare type IntegerLike = boolean | INTEGER;
export interface Options {
    strictType?: boolean;
    acceptsSpecialFormats?: boolean;
    integer?: IntegerLike;
}
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */
export declare function applyTo(values: Values, options: Options, keyStack: Key[]): values is Values<number>;
export {};
