import { Key, Values } from "../../libs/types";
export declare enum CHECKSUM_ALGORITHM {
    LUHN = "luhn",
    CREDIT_CARD = "luhn",
    MODULUS10_WEIGHT3_1 = "modulus10/weight3:1",
    ISBN13 = "modulus10/weight3:1",
    EAN = "modulus10/weight3:1",
    JAN = "modulus10/weight3:1"
}
export interface Options {
    checksum?: CHECKSUM_ALGORITHM;
}
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */
export declare function applyTo(values: Values, options: Options, keyStack: Key[]): values is Values<string>;
