"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.applyTo = void 0;

var applySchemaObjectCore_1 = require("../../libs/applySchemaObjectCore");

var BaseSchema_1 = require("../../schemaClasses/BaseSchema");
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack path to key that caused error
 * @returns ends applying
 * @throws {ValueSchemaError}
 */


function applyTo(values, options, keyStack) {
  if (options.schemaObject === undefined) {
    return false;
  }

  values.output = applySchemaObjectCore_1.applySchemaObjectCore(options.schemaObject, values.output, BaseSchema_1.onErrorDefault, BaseSchema_1.onFinishedDefault, keyStack);
  return false;
}

exports.applyTo = applyTo;