import { isString } from "../../libs/types.mjs";
import { CAUSE, ValueSchemaError } from "../../libs/ValueSchemaError.mjs";
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */

export function applyTo(values, options, keyStack) {
  const normalizedOptions = {
    minLength: 0,
    ...options
  }; // istanbul ignore next

  if (!isString(values.output)) {
    return false;
  }

  if (values.output.length >= normalizedOptions.minLength) {
    return false;
  }

  return ValueSchemaError.raise(CAUSE.MIN_LENGTH, values, keyStack);
}