"use strict";

var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.applyTo = void 0;

var types_1 = require("../../libs/types");

var ValueSchemaError_1 = require("../../libs/ValueSchemaError");
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */


function applyTo(values, options, keyStack) {
  var normalizedOptions = __assign({
    strictType: false
  }, options);

  if (types_1.isString(values.output)) {
    return false;
  } // strict type check


  if (normalizedOptions.strictType) {
    ValueSchemaError_1.ValueSchemaError.raise(ValueSchemaError_1.CAUSE.TYPE, values, keyStack);
  } // non-scalar value cannot be converted to string


  if (!types_1.isScalar(values.output)) {
    ValueSchemaError_1.ValueSchemaError.raise(ValueSchemaError_1.CAUSE.TYPE, values, keyStack);
  }

  values.output = String(values.output);
  return false;
}

exports.applyTo = applyTo;