export var CAUSE;

(function (CAUSE) {
  CAUSE["TYPE"] = "type";
  CAUSE["UNDEFINED"] = "undefined";
  CAUSE["NULL"] = "null";
  CAUSE["EMPTY_STRING"] = "empty-string";
  CAUSE["ONLY"] = "only";
  CAUSE["CONVERTER"] = "converter";
  CAUSE["MIN_VALUE"] = "min-value";
  CAUSE["MAX_VALUE"] = "max-value";
  CAUSE["MIN_LENGTH"] = "min-length";
  CAUSE["MAX_LENGTH"] = "max-length";
  CAUSE["PATTERN"] = "pattern";
  CAUSE["CHECKSUM"] = "checksum";
})(CAUSE || (CAUSE = {}));
/**
 * Value-Schema Error
 */


export class ValueSchemaError extends Error {
  /**
   * constructor
   * @param cause cause of error
   * @param value input value
   * @param keyStack path to key that caused error
   */
  constructor(cause, value, keyStack) {
    super(`${cause}; ${value}; ${keyStack}`);
    this.name = "ValueSchemaError";
    this.cause = cause;
    this.value = value;
    this.keyStack = [...keyStack];
  }
  /**
   * throw an error
   * @param cause cause of error
   * @param values input/output values
   * @param keyStack path to key that caused error
   * @throws {ValueSchemaError}
   */


  static raise(cause, values, keyStack) {
    throw new ValueSchemaError(cause, values.input, keyStack);
  }
  /**
   * check whether error is instance of ValueSchemaError or not
   * @param err error to check
   * @returns Yes/No
   */


  static is(err) {
    return err instanceof ValueSchemaError;
  }

}