"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.applySchemaObject = void 0;

var applySchemaObjectCore_1 = require("./applySchemaObjectCore");

var BaseSchema_1 = require("../schemaClasses/BaseSchema");
/**
 * apply schema object to data
 * @param schemaObject schema object
 * @param data data to apply
 * @param onError error handler
 * @param onFinished finish handler
 * @returns applied data
 */


function applySchemaObject(schemaObject, data, onError, onFinished) {
  if (onError === void 0) {
    onError = BaseSchema_1.onErrorDefault;
  }

  if (onFinished === void 0) {
    onFinished = BaseSchema_1.onFinishedDefault;
  }

  return applySchemaObjectCore_1.applySchemaObjectCore(schemaObject, data, onError, onFinished, []);
}

exports.applySchemaObject = applySchemaObject;